﻿@using Resources;    
@using Emap.Web.Models;  

@model EmapMeta

<!DOCTYPE html>
<html lang="en" ng-app="ss_emap" xmlns="http://www.w3.org/1999/xhtml" xmlns:og="http://ogp.me/ns#" xmlns:fb="http://www.facebook.com/2008/fbml">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />

        @if (@Main.prefix == "ar")
        {
            <title>@Html.Raw(Model.Meta.ar_title)</title>
            <meta name="description" content="@Html.Raw(Model.Meta.ar_description)" />
            <meta name="keywords" content="@Html.Raw(Model.Meta.ar_keywords)" />
        }
        else
        {
            <title>@Html.Raw(Model.Meta.en_title)</title>
            <meta name="description" content="@Html.Raw(Model.Meta.en_description)" />
            <meta name="keywords" content="@Html.Raw(Model.Meta.en_keywords)" />
        }

        <link href="Images/map.ico" rel="shortcut icon" type="image/x-icon" />
        @Styles.Render("~/Content/libs")
        @if (@Main.prefix == "ar")
        {
            
            @Styles.Render("~/Content/bootstrap_ar")
            @Styles.Render("~/Content/site_ar")
        }
        else
        {
            @Styles.Render("~/Content/bootstrap_en")
            @Styles.Render("~/Content/site_en")
        }

        @Styles.Render("~/Content/css")
        @Html.Partial("~/Views/Partials/LocalizationConstants.cshtml")

        @if (@Main.prefix == "ar")
        {
            <script>
                window.EMAP = window.EMAP || {};
                EMAP.Settings = {
                    facebook_name: "@Html.Raw(Model.Facebook.ar_name)",
                    facebook_description: "@Html.Raw(Model.Facebook.ar_description)",
                    facebook_picture: "@Html.Raw(Model.Facebook.picture)",
                    twitter_text: "@Html.Raw(Model.Twitter.ar_text)",
                    workspace: "@Html.Raw(Model.Settings.workspace)",
                    wmsURL: "@Html.Raw(Model.Settings.wmsURL)",
                    bingKey: "@Html.Raw(Model.Settings.bingKey)",
                    companyProfileURL: "@Html.Raw(Model.Settings.companyProfileURL)",
                    liveChatLicense: @Html.Raw(Model.Settings.liveChatLicense),
                    liveChatGroup: true,
                    map_mode: "@Html.Raw(Model.Settings.map_mode)",
                    map_type: "@Html.Raw(Model.Settings.map_type)"
                };

                //var __cultureInfo = {"name":"ar-SY","numberFormat":{"CurrencyDecimalDigits":2,"CurrencyDecimalSeparator":".","IsReadOnly":false,"CurrencyGroupSizes":[3],"NumberGroupSizes":[3],"PercentGroupSizes":[3],"CurrencyGroupSeparator":",","CurrencySymbol":"ل.س.‏‏","NaNSymbol":"ليس برقم","CurrencyNegativePattern":3,"NumberNegativePattern":3,"PercentPositivePattern":0,"PercentNegativePattern":0,"NegativeInfinitySymbol":"-لا نهاية","NegativeSign":"-","NumberDecimalDigits":2,"NumberDecimalSeparator":".","NumberGroupSeparator":",","CurrencyPositivePattern":2,"PositiveInfinitySymbol":"+لا نهاية","PositiveSign":"+","PercentDecimalDigits":2,"PercentDecimalSeparator":".","PercentGroupSeparator":",","PercentSymbol":"%","PerMilleSymbol":"‰","NativeDigits":["٠","١","٢","٣","٤","٥","٦","٧","٨","٩"],"DigitSubstitution":0},"dateTimeFormat":{"AMDesignator":"ص","Calendar":{"MinSupportedDateTime":"\/Date(-62135596800000)\/","MaxSupportedDateTime":"\/Date(253402286399999)\/","AlgorithmType":1,"CalendarType":1,"Eras":[1],"TwoDigitYearMax":2029,"IsReadOnly":false},"DateSeparator":"/","FirstDayOfWeek":6,"CalendarWeekRule":0,"FullDateTimePattern":"dd MMMM, yyyy hh:mm:ss tt","LongDatePattern":"dd MMMM, yyyy","LongTimePattern":"hh:mm:ss tt","MonthDayPattern":"dd MMMM","PMDesignator":"م","RFC1123Pattern":"ddd, dd MMM yyyy HH\u0027:\u0027mm\u0027:\u0027ss \u0027GMT\u0027","ShortDatePattern":"dd/MM/yyyy","ShortTimePattern":"hh:mm tt","SortableDateTimePattern":"yyyy\u0027-\u0027MM\u0027-\u0027dd\u0027T\u0027HH\u0027:\u0027mm\u0027:\u0027ss","TimeSeparator":":","UniversalSortableDateTimePattern":"yyyy\u0027-\u0027MM\u0027-\u0027dd HH\u0027:\u0027mm\u0027:\u0027ss\u0027Z\u0027","YearMonthPattern":"MMMM, yyyy","AbbreviatedDayNames":["الأحد","الإثنين","الثلاثاء","الأربعاء","الخميس","الجمعة","السبت"],"ShortestDayNames":["ح","ن","ث","ر","خ","ج","س"],"DayNames":["الأحد","الإثنين","الثلاثاء","الأربعاء","الخميس","الجمعة","السبت"],"AbbreviatedMonthNames":["كانون الثاني","شباط","آذار","نيسان","أيار","حزيران","تموز","آب","أيلول","تشرين الأول","تشرين الثاني","كانون الأول",""],"MonthNames":["كانون الثاني","شباط","آذار","نيسان","أيار","حزيران","تموز","آب","أيلول","تشرين الأول","تشرين الثاني","كانون الأول",""],"IsReadOnly":false,"NativeCalendarName":"التقويم الميلادي (عربي)‏","AbbreviatedMonthGenitiveNames":["كانون الثاني","شباط","آذار","نيسان","أيار","حزيران","تموز","آب","أيلول","تشرين الأول","تشرين الثاني","كانون الأول",""],"MonthGenitiveNames":["كانون الثاني","شباط","آذار","نيسان","أيار","حزيران","تموز","آب","أيلول","تشرين الأول","تشرين الثاني","كانون الأول",""]},"eras":[1,"A.D.",null,0]};//]]>

            </script>
        }
        else
        {
            <script>
                window.EMAP = window.EMAP || {};
                EMAP.Settings = {
                    facebook_name: "@Html.Raw(Model.Facebook.en_name)",
                    facebook_description: "@Html.Raw(Model.Facebook.en_description)",
                    facebook_picture: "@Html.Raw(Model.Facebook.picture)",
                    twitter_text: "@Html.Raw(Model.Twitter.en_text)",
                    workspace: "@Html.Raw(Model.Settings.workspace)",
                    wmsURL: "@Html.Raw(Model.Settings.wmsURL)",
                    bingKey: "@Html.Raw(Model.Settings.bingKey)",
                    companyProfileURL: "@Html.Raw(Model.Settings.companyProfileURL)",
                    liveChatLicense: @Html.Raw(Model.Settings.liveChatLicense),
                    liveChatGroup: false,
                    map_mode: "@Html.Raw(Model.Settings.map_mode)",
                    map_type: "@Html.Raw(Model.Settings.map_type)"
                };
            </script>            
        }

        @if (@Main.prefix == "ar")
        {
            <script src="https://maps.googleapis.com/maps/api/js?v=3&language=ar&libraries=directions"></script>
            
            @Scripts.Render("~/bundles/libs")
            @Scripts.Render("~/bundles/bootstrap_ar")
        }
        else
        {
            <script src="https://maps.googleapis.com/maps/api/js?v=3&language=en&libraries=directions"></script>
            
            @Scripts.Render("~/bundles/libs")
            @Scripts.Render("~/bundles/bootstrap_en")
        }


        @Scripts.Render("~/bundles/app")

        <script src="Scripts/Helpers.js"></script>
    </head>
    <body ng-controller="mainController">
        @RenderBody()
    </body>
</html>
